<?php

/*
=====================================================================

  프로젝트 이름 : 피리 카페 심플

  만든사람 : 피리 PIREE ( tosports@naver.com )

  홈페이지 : https://piree.kr/nett_dev

  작성날짜 : 2024년 04월 08일 월요일 오전 10시 14분 / 맑음, 15.9, 일교차 주의, 22, 8, 13%, 20%, 0.1ms / 상당히 나쁨, 68, 47, 0.021

  저 작 권 : Copyright ⓒ 2024 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 카페 심플 > 프로그램 > 피리 카페 관리 > 내 카페 > 회원 가입 > 처리하기
=====================================================================


*/

  include_once('./_common.php');

  include_once( piree__path($piree_prog_a[770099]['num'], '_CAFE.INFO.CHECK.inc.php') );

  include_once( piree__path($piree_prog_a[770000]['num'], 'form.lib.php') );

  include_once( piree__path($piree_prog_a[770000]['num'], 'save.lib.php') );

  include_once( piree__path($piree_prog_a[770099]['num'], 'piree.cafe.member.join.lib.php') );

  $sql_select  = "SELECT * FROM `". $piree['cafe_member'] ."` ";
  $sql_select .= "WHERE `cfml_cafe_n` = '". $piree_cafe_n ."' AND `cfml_mem_id` = '". $member['mb_id'] ."'";
  $member_row = sql_fetch($sql_select);

  IF ( $piree_cafe_n == $member_row['cfml_cafe_n'] && $member['mb_id'] == $member_row['cfml_mem_id'] )
  {

    IF ( $contract_ok_n != 1 )
    {
      alert("이미 카페에 회원 가입 하였습니다.");
    }

  }

    $put_cafe_member_a = array();
    $put_cafe_member_a['cafe_mem_level_n'] = $cafe_member_level_a[2]['num'];
    $put_cafe_member_a['mem_n']            = $member['mb_no'];
    $put_cafe_member_a['mem_id']           = $member['mb_id'];
    $put_cafe_member_a['mem_nick']         = $member['mb_nick'];

    $put_cafe_member_a['cafe_s']           = $piree_cafe_name_s;

    $put_cafe_member_a['article_t']        = 0;
    $put_cafe_member_a['comment_t']        = 0;
    $put_cafe_member_a['image_t']          = 0;

    $put_cafe_member_a['ip_s']             = $_SERVER['REMOTE_ADDR'];
    $put_cafe_member_a['regi_time_n']      = G5_SERVER_TIME;
    $put_cafe_member_a['modi_time_n']      = 0;

    $cafe_member_a = piree_cafe_member_join_do($put_cafe_member_a, $piree_cafe_n);

    $sql_select  = "SELECT COUNT(*) FROM `". $piree['cafe_member'] ."` ";
    $sql_select .= "WHERE `cfml_cafe_n` = '". $piree_cafe_n ."'";
    $piree_cafe_member_t = (int)sql_efv($sql_select);

    $sql_update  = "UPDATE `". $piree['cafe'] ."` SET ";
    $sql_update .= "`cafe_member_t` = '". $piree_cafe_member_t ."' ";
    $sql_update .= "WHERE `cafe_row_n` = '". $piree_cafe_n ."'";

    IF ( !sql_query($sql_update) )
    {
      alert("피리 카페 [ ". $piree_cafe_name_s ." ( ". $piree_cafe_code_c ." ) ] 의\\n\\nROW의 회원수를 새로고침하지 못했습니다.");
    }

  $go_url_s = PIREE_CAFE_MAIN_URL ."?piree_cafe_n=". $piree_cafe_n;
  $go_url_s = go_piree_cafe_board('member.info.view.php', $piree_cafe_n);

  alert("피리 카페 [ ". $piree_cafe_name_s ." ( ". $piree_cafe_code_c ." ) ]에\\n\\n회원 가입 하였습니다.", $go_url_s, 0);

  goto_url($go_url_s);
  EXIT;

?>